Run Games without the (included) update?

Discussion in '3DS - ROM Hacking, Translations and Utilities' started by 2DSGamerdude, Apr 8, 2015.

  1. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece
    Can games which have their update data removed via CTR tool or Room tool 3.1 CMD ver work fine on min FW or do they absolutely need the included update data to run at all?

    for example Pokemon Alpha sappire has update data 7.2, so if i remove this from the game,
    can it then run on 7.1 fw without it's update?
     


  2. CyberNomadic

    CyberNomadic Member

    Newcomer
    14
    1
    Mar 16, 2015
    United States
    No, it will just get stuck on the 3DS loading screen and never load. Sorry.
     
    2DSGamerdude likes this.
  3. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    What flashcart are you using? GW already blocks updates. Only Sky3DS and its clones don't. I think removing the update partition will break the signature, preventing it from working on Sky3DS.
    There's no harm in updating to 7.2 though. :)
     
    Subtle Demise likes this.
  4. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    oh, whoops, didn't know that removing the update data from a game breaks it from even running at all, lol. :(
    thanx for the tip.


    GW, which i have yet to receive in the mail :?
    yeah, there isn't any real harm in running 7.2 FW, but the DS flash cart I'm using is an R4i Gold Plus, which i think with it's plus firmware ugarde that i did runs on 3ds/2ds with firmware 7.1-14, above this firmware i don't know if it'll work, like on 9.0-9.2 FW,

    also can flash cart time warp or whitelist make R4i gold plus work on 9.0-9.2 fw in sys?

    the one reason why i would prefer to keep my sys in 7.1 fw is because R4i Gold Plus works fine there, above this fw it may not work at all, throughout i have no idea if it will run,
    a site with which flash carts DS run in above 7.1 fw it has gold plus, but it says: unknown compatibility
     
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    I don't think they have added any new blocks for DS flashcarts since 7.1, I might be wrong on that though. You can always use flashcarttimewarp.cia to enable it again on the latest FW :)
     
    2DSGamerdude likes this.
  6. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    flashcart timewarp is safe? i mean it won't break anything?
    also using flash cart time warp.cia allow my R4i gold plus to work in sys?

    also is there a way to have emunand on 9.0 fw and have sys on 7.1 fw?
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    It's safe, I think it will break the downgrade function of the GW launcher since that checks the version of all system titles before downgrading, but there's not much point in downgrading anyway. You can install flashcarttimewarp.cia to sysNAND by booting GW mode on a SD card without an emuNAND set up.

    Yes, you can update with a ROM by holding up on the d-pad while launching GW mode or with 3DNUS. There is no ROM with 9.0 specifically but there are ROMs with 9.4 and 9.2 (for U/E region) on them which should be fine too. With 3DNUS you can update to the exact version you want but it's a lot more hassle.

    Edit: For EUR:

    Cooking_Mama_Bon_Appetit_EUR_MULTi5_3DS-PUSSYCAT
    Gardening_Mama_Forest_Friends_EUR_MULTi5_3DS-PUSSYCAT
    have 9.2 on them.

    Inazuma_Eleven_GO_Chrono_Stones_Thunderflash_3DS-VENOM
    Inazuma_Eleven_GO_Chrono_Stones_Wildfire_3DS-VENOM
    Xenoblade_Chronicles_3D_N3DS-VENOM
    have 9.4.
     
    Margen67 likes this.
  8. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece
    yeah, i found the 9.0 E update folder with the cia's for euro old 3ds,
    um if i update my emunand using this cia's it'll only update the emunand part of my sd and not the sysnand on my ads?

    also i found the timewarp.cia file, um i install that to sys nand? by having a sd card without an emunand installed on it and boot gw mode so it can install time warp on sys?

    also if anything goes wrong i can restore the emunand backup via the emu tool 1.3 and sys hand via gw menu?
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    Is there a reason you don't want 9.2 or 9.4? It would be much easier.

    Yes, that'll work.

    As long as you don't accidentally update your sysNAND you'll be able to restore (and even then you can get a nand mod installed and restore that way)
     
    2DSGamerdude likes this.
  10. Plasma Shadow

    Plasma Shadow GBAtemp's Artificial Lifeform

    Member
    1,551
    383
    May 15, 2009
    I have no fucking idea.
    Installing the timewarp doesn't break downgrade functionality
    Source: Had it installed on 9,2 a while back, then had to downgrade for something, updated to 9.2 and it was fine.
     
    2DSGamerdude and Subtle Demise like this.
  11. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    yeah thanx for the tips, The Real Jdbye,
    actually i prefer 9.0 fw on emunand as it uses themes, and better to be at that.
    if you have emunand installed on the sd card and use install .cia's on the same card in emunand, you can't update sys hand, worst that could happen is you could bad write emunand, but it can be fixed via emu tool backup. :) right?

    the only reason to install a .cia in sys is time warp.cia but since if you install an update.cia in emunand since emunand is installed on the sd card, it'll only update emunand part and nt the sysnand on the system.
     
  12. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    You can update sysnand but your hacks will stop working :P
    9.2 and 9.4 work fine on emuNAND with themes too. Everything that works on 9.0 will work on 9.4 and more.
     
    2DSGamerdude likes this.
  13. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    thanx for the info, The Real Jdbye,
    i updated emunand to 9.0E via via yesterday when i got my gw card, for the themes is the 'shuffle" option for themes in 9.2?
    i think i'll update to 9.2 for the themes thing, also if i have an older emunand.bin on 9.0 or 7.1 i can restore it via emu tool without reformatting my card as it will delete the programs installed on emu home menu?
     
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    I'm not really sure what firmware the shuffle feature was added in.
    Sure, you can use emuNAND tool to restore the backup. Not sure why you would want to though, since there are no downsides to being on 9.2.
     
    2DSGamerdude likes this.
  15. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    yeah, thanx.
    i'll checkout the shuffle thing,
    okay the "A Shuffle Favorites feature" is in 9.3E damn….
    does updating emunand to 9.3 break anything?

    what was strange was that when i reformatted my emunand the installed programs that where on the HM in emu were gone when i injected my 7.1E emu backup.bin (which i had installed them and then made a emu.bin bak).

    so reformatting causes all installed programs to be deleted even if you had backed them up using emu tool?
     
  16. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    You can use any emuNAND up to and including 9.5. But the only 9.x firmwares that come on retail carts are 9.0, 9.2 and 9.4. So you'll have to get a ROM with 9.4 on it.
     
  17. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    um what about a 9.3E via .cia? like i did for 9.0E?
     
  18. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    No point. You should always go for the highest firmware you can (except for 9.6-9.7 which aren't supported)
     
    2DSGamerdude likes this.
  19. 2DSGamerdude
    OP

    2DSGamerdude GBAtemp Regular

    Member
    184
    23
    Apr 6, 2015
    Greece

    thanx for the tip, Jdbye :) the 9.4 update contains the "shuffle" feature for themes?
     
  20. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,868
    5,020
    Mar 17, 2010
    Norway
    Alola
    If it was added in 9.3, then it will be in 9.4 too. They don't add features only to remove them later on :P